%define extname vhdlwhiz
%define extlic MIT
%define extver 1.2.12
%define exturl https://marketplace.visualstudio.com/items?itemName=vhdlwhiz.vhdl-by-vhdlwhiz
%define extzip vhdlwhiz.vhdl-by-vhdlwhiz-%{version}.vsix

Summary: MS Code Extension Installer for %{extname}
Name: ms-code-extinst-%{extname}
Version: %{extver}
Release: 1
URL: %{exturl}
Source0: %{name}-%{version}.tar.xz
License: %{extlic}
BuildArch: noarch

%description
Since MS Code does not have a feature to install extension system wide
this package contains the installer of the extension %{extname}
so it can be installed by users even w/o network access.

%prep
%setup -q

%build

%check

%install
rm -rf %{buildroot}
mkdir -p "%{buildroot}/opt/ms-code-extinst/%{extname}"
cp "%{extzip}" "%{buildroot}/opt/ms-code-extinst/%{extname}/."

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0755,-,-) /opt/ms-code-extinst/%{extname}
%attr(0644,-,-) /opt/ms-code-extinst/%{extname}/*
